# $Revision: 1.32 $, $Date: 2012/01/24 23:41:33 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Session
Summary:	CGI::Session - persistent storage of complex data in CGI
Summary(pl.UTF-8):	CGI::Session - trwałe przechowywanie złożonych struktur danych w CGI
Name:		perl-CGI-Session
Version:	4.48
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7f8983aaeb92a0ba77eca8bca6d8d43a
URL:		http://search.cpan.org/dist/CGI-Session/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-DB_File
BuildRequires:	perl-FreezeThaw
BuildRequires:	perl-CGI-Simple
BuildRequires:	perl-YAML-Syck
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Session is Perl5 library that provides an easy persistent session
management system across HTTP requests.

%description -l pl.UTF-8
CGI::Session jest biblioteką dla Perla5, udostępniającą łatwy system
zarządzania trwałą sesją pomiędzy zapytaniami HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/CGI/*.pm
%{perl_vendorlib}/CGI/Session
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Session.spec,v $
Revision 1.32  2012/01/24 23:41:33  zbyniu
- up to 4.48

Revision 1.31  2011/07/11 20:30:52  marti
- up to 4.47

Revision 1.30  2009/09/06 17:23:44  amateja
- updated to 4.42

Revision 1.29  2009/06/15 11:51:57  amateja
- updated to 4.41

Revision 1.28  2009/01/13 13:06:18  agaran
- up to 4.40, rel 1, builds here

Revision 1.27  2008/07/27 22:50:23  arekm
- release 2

Revision 1.26  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.24  2006/07/25 21:53:39  glen
- 4.13, generic URL

Revision 1.23  2006/06/22 17:29:09  qboosh
- readable files

Revision 1.22  2006/06/22 16:41:17  trojan
- updated to 4.12

Revision 1.21  2004/11/03 22:30:08  paladine
- formatting

Revision 1.20  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.19  2004/05/06 18:09:18  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.17  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.16  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.15  2003/09/15 08:17:11  adamg
- updated to 3.95

Revision 1.14  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/06/12 10:21:20  qboosh
- cosmetics from RA-branch

Revision 1.11  2003/06/12 05:41:57  misi3k
- updated to 3.94

Revision 1.10  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.7  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/13 00:01:04  ankry
- merge from RA-branch: updated to 3.92

Revision 1.5  2003/03/01 18:45:33  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:36:51  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:27:07  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/11 13:28:29  mis
- autoupdated to 3.11

Revision 1.1  2002/09/05 09:09:37  radek
- new, STBR
